#!/bin/bash
#
# dieses Skript kann man beliebig oft ausführen
# Stand 03.01.2020/Mm
#
# Parameter:
# Anzahl der Sicherungen die aufgehoben werden sollen
KEEP=30
# Backup-Verzeichnis
DIRBACKUP="/volume1/install/_Backup/mysqldump/backup"
# Maria DB User für Backup (root) (ohne "")
SQLUSER=<Username>
# Maria DB Passwort für Backup (ohne "")
SQLPASSWD=<Password>
# Backup von MariaDB V5 ausführen == "1"
BACKUPV5="1"
# Backup von MariaDB V10 ausführen == "1"
BACKUPV10="1"
#
# Script:
# MariaDB10 Server
if [ $BACKUPV10 == "1" ]
then
  DATE=`date +%Y%m%d_%H%M%S`
  # Dateien lesen und alte löschen
  BACKUPS=`find $DIRBACKUP -name "mysql10dump-*.gz" | wc -l | sed 's/\ //g'`
  while [ $BACKUPS -ge $KEEP ]
  do
    ls -tr1 $DIRBACKUP/mysql10dump-*.gz | head -n 1 | xargs rm -f
    BACKUPS=`expr $BACKUPS - 1`
  done
  rm -f $DIRBACKUP/.mysql10dump-${DATE}.gz_INPROGRESS
  /volume1/@appstore/MariaDB10/usr/local/mariadb10/bin/mysqldump --opt -u$SQLUSER -p$SQLPASSWD --all-databases | gzip -c -5 > $DIRBACKUP/.mysql10dump-${DATE}.gz_INPROGRESS
  mv -f $DIRBACKUP/.mysql10dump-${DATE}.gz_INPROGRESS $DIRBACKUP/mysql10dump-${DATE}.gz
fi
# MariaDB5 Server
if [ $BACKUPV5 == "1" ]
then
  DATE=`date +%Y%m%d_%H%M%S`
  # Dateien lesen und alte löschen
  BACKUPS=`find $DIRBACKUP -name "mysql5dump-*.gz" | wc -l | sed 's/\ //g'`
  while [ $BACKUPS -ge $KEEP ]
  do
    ls -tr1 $DIRBACKUP/mysql5dump-*.gz | head -n 1 | xargs rm -f
    BACKUPS=`expr $BACKUPS - 1`
  done
  rm -f $DIRBACKUP/.mysql5dump-${DATE}.gz_INPROGRESS
  /volume1/@appstore/MariaDB/usr/bin/mysqldump --opt -u$SQLUSER -p$SQLPASSWD --all-databases | gzip -c -5 > $DIRBACKUP/.mysql5dump-${DATE}.gz_INPROGRESS
  mv -f $DIRBACKUP/.mysql5dump-${DATE}.gz_INPROGRESS $DIRBACKUP/mysql5dump-${DATE}.gz
fi
exit 0
